CentOS6上eclipse的svbclipse插件JavaHL(JNI) Not available错误的解决办法

原创 2012年03月23日 16:00:13

本文链接:http://blog.csdn.net/kongxx/article/details/7387732

在CentOS6上的eclipse安装了svbclipse插件后,svn不能使用,并且第一次使用的时候还出现下面错误窗口提示

Failed to load JavaHL Library.
These are the errors that were encountered:
no libsvnjavahl-1 in java.library.path
no svnjavahl-1 in java.library.path
no svnjavahl in java.library.path
java.library.path = /data/jdk1.6.0_12/jre/lib/amd64/server:/data/jdk1.6.0_12/jre/lib/amd64:/data/jdk1.6.0_12/jre/../lib/amd64:/usr/java/packages/lib/amd64:/lib:/usr/lib
打开window->preferences->Team->SVN,在SVN interface中提示JavaHL(JNI) Not available

然后检查系统,已经安装了subversion和subversion-javahl包,再搜索libsvnjavahl库所在位置,最后发现在/usr/lib64/目录下有一个libsvnjavahl-1.so文件存在,然后修改eclipse.ini文件,添加下面的option

-Djava.library.path=/lib:/usr/lib:/usr/lib64
重新启动eclipse,subversion工作正常。



版权声明:本文为博主原创文章,未经博主允许不得转载。

相关文章推荐

eclipse 异常 Subversion Native Library Not Available解决方案

Subversion Native Library Not Available,加载不到JavaHL。 方法一:使用svn插件的SVNKit。 1. 在eclipse中选择 “Window...

Linux下Subclipse的JavaHL

Subclipse是一个很优秀的SVN客户端。它提供了ClientAdapter、JavaHL和SVNKit等方式于SVN服务交互。官方强烈推荐使用JavaHL的方式。JavaHL使用JNI的调用SV...

CentOS7 升级subversion到1.9

CentOS7 升级subversion到1.9首先卸载老版本的subversion库sudo yum erase subversion subversion-devel subversion-lib...
  • kongxx
  • kongxx
  • 2017-01-19 09:13
  • 1212

配置Eclipse来解决 no xxx in java.library.path问题

近来需要和BPM项目联调,尤为苦恼的是,本地跑通DM+BPM确实蛮有难度的,在启动BPM项目之前,需要安装Louts Form(因为项目上页面是用Form做的),做了众多准备工作之后,启动两个项目,不...

centos 6.5 eclipse 安装svn

环境:centos 6.5  eclipse 安装svn 缺Javahl文件 各种subversion的安装版本下载 http://www.collabnet.cn/downl...

javaHL JNI not available

系统重装后安装了TortoiseSVN-1.8.1.24570-x64-svn-1.8.1,使用Eclipse同步代码提示“javaHL JNI not available”,打开window->pr...

javaHL JNI not available

今天帮同事装STS(一种eclipse)中的SVN插件总是不能安装成功,导出项目总是出现Failed to load JavaHL Library.  These are the errors tha...
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:深度学习:神经网络中的前向传播和反向传播算法推导
举报原因:
原因补充:

(最多只允许输入30个字)